/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package hlavny;

import java.io.IOException;
import java.net.Socket;
import java.net.UnknownHostException;

/**
 *
 * @author Mikulas_s_capicu
 */
class PrihlasovaciThread extends Thread {

    private HlavneOkno aplikacia;
    private String ipAdress = null;
    boolean koniec = false;

    public PrihlasovaciThread(HlavneOkno apl, String ip){
        aplikacia = apl;
        ipAdress = ip;
    }

    @Override
    public void run() {
        while(true){
            try {
                synchronized (aplikacia.synchro){
                    if (koniec){
                        return;
                    }
                    aplikacia.socket = new Socket(ipAdress, 50000);
                }
                PrijimaciThread prijimac = new PrijimaciThread(aplikacia);
                prijimac.start();
                prijimac.join();
            } catch (InterruptedException ex) {
                System.err.println("Prihlasovaci: Interrupted");
            } catch (UnknownHostException ex) {
                System.err.println("Ziak: neznamy host");
                return;
            } catch (IOException ex) {
                try {
                    sleep(3000);
                } catch (InterruptedException ex1) {
                    System.err.println("Prihlasovaci: Interrupted");
                }
            }
        }
    }
}
