/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package deBroigle;

/**
 *
 * @author Mikulas_s_capicu
 */
class RiadiaciThread4 extends Thread{

    private DeBroigleCanvas canvas;
    private int dxGulicka = -1;
    private int dxVlna = -1;
    boolean pauza = false;
    boolean koniec = false;
    int zaciatocnyX;
    int koncovyX;
    private int stredVlnyX;
    Object synchro = new Object();

    public RiadiaciThread4(DeBroigleCanvas c){
        canvas = c;
        zaciatocnyX = 0;
        koncovyX = canvas.suradniceXVlny.length-1;
        stredVlnyX = canvas.stredGulickyX;
    }

    @Override
    public void run() {
        while(!koniec){
          if (pauza){
            yield();
            continue;
          }
          kresli();
          try {
            sleep(10);
          } catch (InterruptedException ex) {
            System.out.println(ex.getMessage());
          }
        }
    }

    synchronized void prehodNaGulicku() {
        canvas.kresliGulicku = true;
        canvas.stredGulickyX = stredVlnyX;
        dxGulicka = dxVlna;
        if (canvas.stredGulickyX <= canvas.zaciatocnyBod + canvas.polomer){
            canvas.stredGulickyX = canvas.zaciatocnyBod + canvas.polomer;
            dxGulicka = 1;
        }

        if (canvas.stredGulickyX >= canvas.koncovyBod - canvas.polomer){
            canvas.stredGulickyX = canvas.koncovyBod  - canvas.polomer;
            dxGulicka = -1;
        }
        canvas.repaint();
    }

    synchronized void prehodNaVlnu() {
        canvas.kresliGulicku = false;
        stredVlnyX = canvas.stredGulickyX;
        dxVlna = dxGulicka;
        zaciatocnyX = 0;
        koncovyX = canvas.okamziteVychylky.length-1;
        vymodelujVlnu();
        canvas.repaint();
    }

    private synchronized void kresli(){
         if (canvas.kresliGulicku){//posun gulicky
            posunGulicku();
         }else{//posun vlny
            vymodelujVlnu();
         }
         canvas.repaint();
    }

    private void posunGulicku() {
        canvas.stredGulickyX += dxGulicka;
        if (canvas.stredGulickyX == canvas.zaciatocnyBod + canvas.polomer){
            dxGulicka = -dxGulicka;
        }else if (canvas.stredGulickyX == canvas.koncovyBod - canvas.polomer) {
            dxGulicka = -dxGulicka;
        }
    }

    private void vymodelujVlnu() {
        canvas.okamziteSuradniceYVlny = canvas.zaciatocneSuradniceYVlny.clone();
        for(int i=0; i<canvas.suradniceXVlny.length; i++){
            canvas.suradniceXVlny[i] = stredVlnyX - 42 + i*5;
            if(canvas.suradniceXVlny[i] == canvas.zaciatocnyBod){
                zaciatocnyX = i;
            }
            if(canvas.suradniceXVlny[i] == canvas.koncovyBod){
                koncovyX = i;
            }
        }

        int i = 0;

        while (i<=zaciatocnyX){
            canvas.okamziteSuradniceYVlny[zaciatocnyX+(zaciatocnyX-i)+1] += -canvas.okamziteVychylky[i];
            i++;
        }

        i = canvas.okamziteVychylky.length-1;

        while (i>=koncovyX){
            canvas.okamziteSuradniceYVlny[koncovyX-(i-koncovyX)-1] += -canvas.okamziteVychylky[i];
            i--;
        }

        stredVlnyX += dxVlna;
        if (stredVlnyX == canvas.zaciatocnyBod /*+ canvas.polomer*/){
            dxVlna = -dxVlna;
        }else if (stredVlnyX == canvas.koncovyBod /*- canvas.polomer*/){
            dxVlna = -dxVlna;
        }
    }
}